Subject: Re: calling cygwin executables from Windows
From: "Alex Genkin" <[email-masked]>
To: "Eric Blake" <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 22 Sep 2005 22:11:06 -0400

Eric - Thanks for the prompt response.
Something is elusive here. I often come across this problem with really big 
files but never can reproduce it on small examples. If I ever get a grip on it, 
I'll let you know. However for now the 'cygdrive' path does the trick. Thanks 
again.
Best -
Alex

----- Original Message ----- 
From: "Eric Blake" <[email-masked]>
To: "Alex Genkin" <[email-masked]>
Cc: <[email-masked]>
Sent: Thursday, September 22, 2005 9:34 PM
Subject: Re: calling cygwin executables from Windows

> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> According to Alex Genkin on 9/22/2005 7:16 PM:
>> Hi,
>> I like to use gnu text utils like join or sort from Windows command
>                ^^^^^^^^^^^^^^
> The former GNU textutils package is now part of the GNU coreutils package.
>
>> prompt, not from Cugwin bash.
>> This mostly works fine unless you are trying to use a file tha is not in
>> the current directory. Looks like those utils get confused about Windows
>> paths. Is that right?
>
> No, you are mistaken.  If you have c:\cygwin\bin (or the correct location
> according to where you installed) in your path, then all of the GNU
> coreutils are available from the Windows command prompt.  Cygwin apps
> favor POSIX paths, so I would recommend getting used to
> /cygdrive/c/mydir/myfile instead of c:\mydir\myfile.  But in general the
> coreutils, like most other cygwin apps, can handle either style, and
> behavior to the contrary should be reported to this list so I can decide
> whether it is worth another cygwin-local patch to coreutils.
>
> Furthermore, the Windows command prompt is pretty lame (short command line
> limit, ugly quoting rules, etc.), so why not get used to "Cugwin" bash?
> (OK, I'm biased here, as I maintain bash as well as coreutils. :)
>
> - --
> Life is short - so eat dessert first!
>
> Eric Blake             [email-masked]
> volunteer cygwin coreutils maintainer
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.1 (Cygwin)
> Comment: Public key at home.comcast.net/~ericblake/eblake.gpg
> Comment: Using GnuPG with Thunderbird - http://enigmail.mozdev.org
>
> iD8DBQFDM1uc84KuGfSFAYARAmqjAKCIXd+FYzdBow/xhGgMwsLttuNXhgCguKJr
> zyQFPwU5xs+smeEG08hBBOs=
> =WmHz
> -----END PGP SIGNATURE-----
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/